Campaigns / REST API
List campaigns
List all campaigns in your workspace. Filter by status (draft, active, paused, completed) and paginate results.
GET /api/mcp/campaignsDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
statusOptional · string- See the input schema for this field.draft · active · paused · completed
pageOptional · number- See the input schema for this field.
limitOptional · number- See the input schema for this field.
curl -X GET "https://app.pipeline.help/api/mcp/campaigns" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"status": {
"type": "string",
"enum": [
"draft",
"active",
"paused",
"completed"
]
},
"page": {
"type": "number"
},
"limit": {
"type": "number"
}
}
}